Bug 1676253 - xtl: FTBFS in Fedora rawhide/f30
Summary: xtl: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xtl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:26 UTC by Fedora Release Engineering
Modified: 2019-09-06 12:32 UTC (History)
1 user (show)

Fixed In Version: xtl-0.6.5-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 12:32:07 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:26 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:26 UTC, Fedora Release Engineering
no flags Details
state.log (605 bytes, text/plain)
2019-02-11 22:26 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github QuantStack xtl issues 137 None None None 2019-02-13 11:09:06 UTC

Description Fedora Release Engineering 2019-02-11 22:26:48 UTC
xtl failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32512499


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix xtl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
xtl will be orphaned. Before branching of Fedora 31,
xtl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:26:51 UTC
Created attachment 1533697 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:26:52 UTC
Created attachment 1533698 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:26:53 UTC
Created attachment 1533699 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:34:21 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Release Engineering 2019-06-03 21:48:37 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Elliott Sales de Andrade 2019-06-04 23:37:35 UTC
I sent an email to devel@ to see if there's other people have some ideas here.

Comment 7 Fedora Release Engineering 2019-08-08 16:51:41 UTC
The package was retired.

Comment 8 Elliott Sales de Andrade 2019-08-27 07:29:46 UTC
Unretired and disabled all the broken arches.

Comment 9 Fedora Update System 2019-08-27 07:30:12 UTC
FEDORA-2019-ca6dab1cb5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca6dab1cb5

Comment 10 Fedora Update System 2019-08-30 00:04:06 UTC
xtl-0.6.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca6dab1cb5

Comment 11 Fedora Update System 2019-09-06 12:32:07 UTC
xtl-0.6.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.